-- Telescope, and other file picker-related plugins

return {
  "nvim-telescope/telescope.nvim",
  {
    "xvzc/chezmoi.nvim",
    config = function()
      require("chezmoi").setup {
	-- Treat all files in my chezmoi source directory as source files
	vim.api.nvim_create_autocmd({ "BufRead", "BufNewFile" }, {
	  pattern = { os.getenv("HOME") .. "/.local/share/chezmoi/*" },
	  callback = function(evt)
	    local bufnr = evt.buf
	    local edit_watch = function()
	      require("chezmoi.commands.__edit").watch(bufnr)
	    end
	    vim.schedule(edit_watch)
	  end
	})
      }
    end
  }
}
